using Books.Api.Domain.Companies;
using Books.Api.EventFlow.ReadModels;

namespace Books.Api.EventFlow.Repositories;

public interface ICompanyRepository
{
    Task<CompanyReadModelDto?> GetByIdAsync(string id, CancellationToken cancellationToken = default);
    Task<IEnumerable<CompanyReadModelDto>> GetByIds(List<CompanyId> ids, CancellationToken cancellationToken = default);
    Task<IReadOnlyList<CompanyReadModelDto>> GetAllAsync(CancellationToken cancellationToken = default);
}
